package com.fs.store.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 支付明细对象 fs_store_payment
 *
 * @author fs
 * @date 2022-06-20
 */
public class FsStorePayment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long paymentId;

    /** 支付订单号 */
    @Excel(name = "支付订单号")
    private String payCode;

    /** 支付类型 weixin alipay */
    @Excel(name = "支付类型 weixin alipay")
    private String payTypeCode;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payMoney;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;

    /** 外部订单号 */
    @Excel(name = "外部订单号")
    private String tradeNo;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** OPENID */
    @Excel(name = "OPENID")
    private String openId;

    /** 业务类型 1收款 */
    @Excel(name = "业务类型 1收款")
    private Integer businessType;

    /** 关联业务ID */
    @Excel(name = "关联业务ID")
    private String businessOrderId;

    /** 状态 0未支付 1已支付 -1 已退款 */
    @Excel(name = "状态 0未支付 1已支付 -1 已退款 -2 交易关闭或者失败")
    private Integer status;

    private String remark;

    private Long companyId;

    private Long companyUserId;

    private Long deptId;

    private String bankTransactionId;

    private String bankSerialNo;

    private BigDecimal refundMoney;
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "退款时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date refundTime;

    private String payMode;
    private Long orderId;

    private Integer isPayRemain;

    public String getPayMode() {
        return payMode;
    }

    public void setPayMode(String payMode) {
        this.payMode = payMode;
    }

    public Integer getIsPayRemain() {
        return isPayRemain;
    }

    public void setIsPayRemain(Integer isPayRemain) {
        this.isPayRemain = isPayRemain;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public BigDecimal getRefundMoney() {
        return refundMoney;
    }

    public void setRefundMoney(BigDecimal refundMoney) {
        this.refundMoney = refundMoney;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public String getBankTransactionId() {
        return bankTransactionId;
    }

    public void setBankTransactionId(String bankTransactionId) {
        this.bankTransactionId = bankTransactionId;
    }

    public String getBankSerialNo() {
        return bankSerialNo;
    }

    public void setBankSerialNo(String bankSerialNo) {
        this.bankSerialNo = bankSerialNo;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getCompanyUserId() {
        return companyUserId;
    }

    public void setCompanyUserId(Long companyUserId) {
        this.companyUserId = companyUserId;
    }

    public void setPaymentId(Long paymentId)
    {
        this.paymentId = paymentId;
    }

    public Long getPaymentId()
    {
        return paymentId;
    }
    public void setPayCode(String payCode)
    {
        this.payCode = payCode;
    }

    public String getPayCode()
    {
        return payCode;
    }
    public void setPayTypeCode(String payTypeCode)
    {
        this.payTypeCode = payTypeCode;
    }

    public String getPayTypeCode()
    {
        return payTypeCode;
    }
    public void setPayMoney(BigDecimal payMoney)
    {
        this.payMoney = payMoney;
    }

    public BigDecimal getPayMoney()
    {
        return payMoney;
    }
    public void setPayTime(Date payTime)
    {
        this.payTime = payTime;
    }

    public Date getPayTime()
    {
        return payTime;
    }
    public void setTradeNo(String tradeNo)
    {
        this.tradeNo = tradeNo;
    }

    public String getTradeNo()
    {
        return tradeNo;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setOpenId(String openId)
    {
        this.openId = openId;
    }

    public String getOpenId()
    {
        return openId;
    }
    public void setBusinessType(Integer businessType)
    {
        this.businessType = businessType;
    }

    public Integer getBusinessType()
    {
        return businessType;
    }
    public void setBusinessOrderId(String businessOrderId)
    {
        this.businessOrderId = businessOrderId;
    }

    public String getBusinessOrderId()
    {
        return businessOrderId;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }


}
